Subject: bug#42431: 28.0.50; browse-url-of-dired-file confusing messaging

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Aug 2020 17:05:14 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked], Paul Eggert
>  <[email-masked]>
> Date: Sun, 09 Aug 2020 11:45:05 +0200
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > It would be, but I think this points to an error in insert-file-contents
> > itself.  I'll poke around some more...
> 
> Yup.  The error signalling comes from Finsert_file_contents.  If I make
> this change, then the confusing messaging goes away:
> 
> diff --git a/src/fileio.c b/src/fileio.c
> index 37072d9b6b..05e262b201 100644
> --- a/src/fileio.c
> +++ b/src/fileio.c
> @@ -4826,7 +4826,6 @@ because (1) it preserves some marker positions and (2) it puts less data
>    if (!NILP (visit) && current_buffer->modtime.tv_nsec < 0)
>      {
>        /* Signal an error if visiting a file that could not be opened.  */
> -      report_file_errno ("Opening input file", orig_filename, save_errno);
>      }
>  

Of course.  And that's exactly what I meant when I suggested to
convert the file:// URL to a local file name, before calling
insert-file-contents.  If we do that, the problem should go away.  Or
am I missing something?